## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 25;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

# https://github.com/yuin/gopher-lua
%global goipath         github.com/yuin/gopher-lua
%global commit          f4c35e4016d9d8580b007ebaeb68ecd8e0b09f1c

%gometa

%global common_description %{expand:
GopherLua is a Lua5.1 VM and compiler written in Go. GopherLua has a same goal
with Lua: Be a scripting language with extensible semantics . It provides Go
APIs that allow you to easily embed a scripting language to your Go host
programs.}

%global golicenses      LICENSE
%global godocs          README.rst

Name:           %{goname}
Version:        0
Release:        %autorelease
Summary:        VM and compiler for Lua in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# https://github.com/yuin/gopher-lua/pull/356
Patch0:         0001-Convert-int-to-string-using-rune-in-lexer.go.patch

BuildRequires:  golang(github.com/chzyer/readline)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.rst _lua5.1-tests/README
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 0-24
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 0-23
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Mar 05 2022 Robert-André Mauchin <zebob.m@gmail.com> 0-22
- Bump to commit f4c35e4016d9d8580b007ebaeb68ecd8e0b09f1c (fix FTBFS)
  Close: rhbz#2045630

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 18:42:33 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.15.20210113gitee81675
- Bump to commit ee81675732da08c6c96265e65c88ef410081bfc0

* Tue Aug 04 21:26:08 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.14.20200804gitdc2b0ca
- Bump to commit dc2b0ca8b37e41ab0494be94fc6d8febbeb29d34

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 15:05:22 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.9.20190530git1cd887c
- Bump to commit 1cd887cd7036fd4be7a0cb180dd508cb8e2e689a

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.gitca850f5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.7.gitca850f5
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.gitca850f5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.5.20180628gitca850f5
- Bump to commit ca850f594eaafa5468da2bd53b865e4ee55be18b

* Fri Mar 09 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.4.20180314git7d7bc87
- Update with the new Go packaging
- Upstream GIT revision 7d7bc87

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20171031git609c9cd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20171031git609c9cd
- Upstream GIT revision 609c9cd

* Fri Sep 29 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20170915giteb1c729
- First package for Fedora

